From ab99fcce19655c3ff241c9b3b7aa0fa6ff1de29e Mon Sep 17 00:00:00 2001
From: lordrasmus <lordrasmus@gmail.com>
Date: Tue, 30 May 2023 11:59:15 +0200
Subject: [PATCH 5/9] c6x compile fix vdso support

c6x compile fix vdso support
---
 ldso/include/dl-defs.h                 | 3 +++
 libc/sysdeps/linux/c6x/bits/syscalls.h | 4 ++++
 2 files changed, 7 insertions(+)
 mode change 100644 => 100755 libc/sysdeps/linux/c6x/bits/syscalls.h

diff --git a/ldso/include/dl-defs.h b/ldso/include/dl-defs.h
index f27112a11..daa6685cb 100644
--- a/ldso/include/dl-defs.h
+++ b/ldso/include/dl-defs.h
@@ -76,6 +76,9 @@ typedef struct {
 /* arch specific defines */
 #include <dl-sysdep.h>
 #endif
+#ifdef __TARGET_c6x__
+#include <dl-sysdep.h>
+#endif
 #endif
 
 /* Provide a means for a port to pass additional arguments to the _dl_start
diff --git a/libc/sysdeps/linux/c6x/bits/syscalls.h b/libc/sysdeps/linux/c6x/bits/syscalls.h
old mode 100644
new mode 100755
index 70b708d70..451271725
--- a/libc/sysdeps/linux/c6x/bits/syscalls.h
+++ b/libc/sysdeps/linux/c6x/bits/syscalls.h
@@ -167,11 +167,15 @@ type name(C_DECL_ARGS_##nargs(args)) {					\
 	return (type)INLINE_SYSCALL_NOERR(name, nargs, C_ARGS_##nargs(args));	\
 }
 
+#define SYSCALL_FUNC_BODY(nargs, type, name, args...)			\
+	return (type)INLINE_SYSCALL(name, nargs, C_ARGS_##nargs(args));
+
 #define _syscall0(args...)		SYSCALL_FUNC(0, args)
 #define _syscall_noerr0(args...)	SYSCALL_NOERR_FUNC(0, args)
 #define _syscall1(args...)		SYSCALL_FUNC(1, args)
 #define _syscall_noerr1(args...)	SYSCALL_NOERR_FUNC(1, args)
 #define _syscall2(args...)		SYSCALL_FUNC(2, args)
+#define _syscall2_body(args...)		SYSCALL_FUNC_BODY(2, args)
 #define _syscall3(args...)		SYSCALL_FUNC(3, args)
 #define _syscall4(args...)		SYSCALL_FUNC(4, args)
 #define _syscall5(args...)		SYSCALL_FUNC(5, args)
-- 
2.37.2

